<?php

namespace Ulmus\Query;

class Delete extends Fragment {

    public int $order = -100;

    public bool $lowPriority = false;
    
    public bool $quick = false;
    
    public bool $ignore = false;
    
    public string $alias;

    public function render() : string
    {
        return $this->renderSegments([
            'DELETE',
            ( $this->alias ?? false ),
            ( $this->lowPriority ? 'LOW_PRIORITY' : false ),
            ( $this->quick ? 'QUICK' : false ),
            ( $this->ignore ? 'IGNORE' : false ),
        ]);
    }
}
