<?php

namespace Ulmus\Query;

class Limit extends Fragment {

    public int $order = 80;

    protected int $limit = 0;

    public function set($limit) : self
    {
        $this->limit = $limit;
        return $this;
    }

    public function render() : string
    {
        return $this->renderSegments([
            'LIMIT', $this->limit,
        ]);
    }
}
